Update Column

Allows various changes of the column: name, column_type, freeze/unfreeze, resize, etc...
op_type is required. The following options are available: - rename_column - modify_column_type - resize_column - move_column - freeze_column
column is the name or key of the target column.
new_column_type is the new type of the target column. For a list of column type params refer to the SeaTable API Parameter. For further information on column types, check the page Models.

Path Params
string
required

The unique identifier of a base. Sometimes also called dtable_uuid.

Body Params
string
enum
required
Allowed:
string
required

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.

string
required

The name of the column.

string
required
column_data
object
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json